#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"
#include "test.inc"
#include "test1.inc"
#include "test2.inc"

camera {
  location <13, 5, -13>
  direction <0, 0, 1.1>
  up <0, 1, 0>
  right <1.33, 0, 0>
  look_at <0,4,0>
}

#declare LinkTexture=
texture{
        pigment{Silver}
        finish{
               specular 1         
               roughness .00002
               ambient .3
               diffuse .5
               crand .0005
               reflection .15
              }
       }
#declare NodeTexture=
texture{
        pigment{Silver}
        finish{
               specular 1
               roughness .00001
               ambient .3
               diffuse .5
               crand .0005
               reflection .15
              }
       }
#declare PaneTexture=
texture{
        pigment{Turquoise filter .250}
        finish{
               specular 1
               roughness .00005
               ambient .3
               diffuse .7
               crand .005
               reflection .15
              }
       }



object { light_source { <5,18,12>color White } }
object { light_source { <5,18,-12>color White } }

object {plane{y,0} pigment{checker color Black color White} finish{Shiny}}

#declare Structure=
union{
      object {TestLinks texture{LinkTexture}}
      object {TestNodes texture{NodeTexture}}
      object {TestPanes texture{PaneTexture}}
     }
#declare Structure1=
union{
      object {Test1Links texture{LinkTexture}}
      object {Test1Nodes texture{NodeTexture}}
      object {Test1Panes texture{PaneTexture}}
     }
#declare Structure2=
union{
      object {Test2Links texture{LinkTexture}}
      object {Test2Nodes texture{NodeTexture}}
      object {Test2Panes texture{PaneTexture}}
     }


object { sphere { <0, 0, 0>,50000 }
       texture {
               Blue_Sky3
               scale <80000, 50000, 30000>
               finish { crand .05 ambient .7 }
               }
}


object{Structure}
object{Structure1 translate <-5,0,-5>}
object{Structure2 translate <5,0,5>}
